package com.mortals.xhx.module.doc.baseinfo.model;

import java.util.List;

/**
 * doc基础信息查询对象
 *
 * @author zxfei
 * @date 2021-10-26
 */
public class DocBaseinfoQuery extends DocBaseinfoEntity {
    /** 开始 ID,主键，自增长 */
    private Long idStart;

    /** 结束 ID,主键，自增长 */
    private Long idEnd;

    /** 增加 ID,主键，自增长 */
    private Long idIncrement;

    /** ID,主键，自增长列表 */
    private List <Long> idList;

    /** 业务名称 */
    private List<String> nameList;

    /** 样表地址 */
    private List<String> samplePathList;

    /** 备注 */
    private List<String> remarkList;

    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户,登录名 */
    private List<String> updateUserList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户,登录名 */
    private List<String> createUserList;

    /** 样表预览图 */
    private List<String> preViewPathList;

    /** 平台标识 */
    private List<String> platformSnList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DocBaseinfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DocBaseinfoQuery> andConditionList;

    public DocBaseinfoQuery(){}

    /**
     * 获取 开始 ID,主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 ID,主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 ID,主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 ID,主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 ID,主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 ID,主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 ID,主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 业务名称
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 业务名称
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
     * 获取 样表地址
     * @return samplePathList
     */
    public List<String> getSamplePathList(){
        return this.samplePathList;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public void setSamplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
    }
    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
     * 获取 开始 变更时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 变更时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 变更时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 变更时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 变更用户,登录名
     * @return updateUserList
     */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
     * 设置 变更用户,登录名
     * @param updateUserList
     */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 创建用户,登录名
     * @return createUserList
     */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
     * 设置 创建用户,登录名
     * @param createUserList
     */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
     * 获取 样表预览图
     * @return preViewPathList
     */
    public List<String> getPreViewPathList(){
        return this.preViewPathList;
    }

    /**
     * 设置 样表预览图
     * @param preViewPathList
     */
    public void setPreViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
    }
    /**
     * 获取 平台标识
     * @return platformSnList
     */
    public List<String> getPlatformSnList(){
        return this.platformSnList;
    }

    /**
     * 设置 平台标识
     * @param platformSnList
     */
    public void setPlatformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
    }
    /**
     * 设置  ID,主键，自增长
     * @param id
     */
    public DocBaseinfoQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 ID,主键，自增长
     * @param idStart
     */
    public DocBaseinfoQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 ID,主键，自增长
     * @param idEnd
     */
    public DocBaseinfoQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 ID,主键，自增长
     * @param idIncrement
     */
    public DocBaseinfoQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 ID,主键，自增长
     * @param idList
     */
    public DocBaseinfoQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 业务名称
     * @param name
     */
    public DocBaseinfoQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 业务名称
     * @param nameList
     */
    public DocBaseinfoQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 样表地址
     * @param samplePath
     */
    public DocBaseinfoQuery samplePath(String samplePath){
        setSamplePath(samplePath);
        return this;
    }

    /**
     * 设置 样表地址
     * @param samplePathList
     */
    public DocBaseinfoQuery samplePathList(List<String> samplePathList){
        this.samplePathList = samplePathList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public DocBaseinfoQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public DocBaseinfoQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }



    /**
     * 设置 变更用户,登录名
     * @param updateUser
     */
    public DocBaseinfoQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
        return this;
    }

    /**
     * 设置 变更用户,登录名
     * @param updateUserList
     */
    public DocBaseinfoQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
        return this;
    }



    /**
     * 设置 创建用户,登录名
     * @param createUser
     */
    public DocBaseinfoQuery createUser(String createUser){
        setCreateUser(createUser);
        return this;
    }

    /**
     * 设置 创建用户,登录名
     * @param createUserList
     */
    public DocBaseinfoQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
        return this;
    }


    /**
     * 设置 样表预览图
     * @param preViewPath
     */
    public DocBaseinfoQuery preViewPath(String preViewPath){
        setPreViewPath(preViewPath);
        return this;
    }

    /**
     * 设置 样表预览图
     * @param preViewPathList
     */
    public DocBaseinfoQuery preViewPathList(List<String> preViewPathList){
        this.preViewPathList = preViewPathList;
        return this;
    }


    /**
     * 设置 平台标识
     * @param platformSn
     */
    public DocBaseinfoQuery platformSn(String platformSn){
        setPlatformSn(platformSn);
        return this;
    }

    /**
     * 设置 平台标识
     * @param platformSnList
     */
    public DocBaseinfoQuery platformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DocBaseinfoQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DocBaseinfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DocBaseinfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DocBaseinfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}